Subject: Re: Pair Programming Workflow Suggestions

From: Nicolas Sebrecht <[email-masked]>
Date: Wed, 16 Sep 2009 16:17:30 +0200

The 16/09/09, Tim Visher wrote:
> 
>                         Pairing, on the other hand, is much more
> tightly integrated than that.  Just like in Brian's post, it's really
> a situation of Dev1 _&_ Dev2 wrote this feature, but one of them
> happened to be typing and doing most of the nitty-gritty developing.
> Changing the authors between committs almost seems to introduce an
> arbitrary level of distinction where it's no longer _both_ but _one
> then the other_.  Does that make my question any clearer?

FMPOV (and to follow the Pair Programming purpose), there isn't an "I"
in "Pair".  So having the same author name and sign-off for each pair is
what makes most sense. IMHO, "dev1_and_dev2" is actually the best
option.

-- 
Nicolas Sebrecht